"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Listr = require('listr');
var hg_1 = require("../hg");
function push(config) {
    var projTasks = config.projects.map(function (project) {
        return {
            title: project.path,
            task: function () { return hg_1.pushChanges(project.path); }
        };
    });
    var tasks = new Listr(projTasks, {
        concurrent: config.maxConcurrent || hg_1.MAX_CONCURRENT_HGS,
        exitOnError: false
    });
    return tasks.run();
}
exports.push = push;
